CPUPLUGD(8)

NAME
cpuplugd - Linux on System z CPU and memory hotplug daemon

SYNOPSIS
cpuplugd [OPTIONS]

DESCRIPTION
The cpuplugd daemon dynamically enables and disables CPUs and increases or decreases the cooperative memory management (CMM) page pool based on a set of rules. When the daemon is stopped, the size of the CMM page pool and the number of active CPUs are reset to the values they had before the cpuplugd was started. This program can be used to control the number of CPUs for Linux on z/VM and for Linux in LPAR mode. The memory hotplug feature (CMM page pool) applies to Linux on z/VM only.

OPTIONS

-c or --config <configuration file>
    Specify the absolute path to the configuration file. This option is mandatory. The default configuration file can be found in /etc/cpuplugd.conf.

-f or --foreground
    Run in the foreground and not as daemon. If this option is omitted, the program runs in the background.

-h or --help
    Print usage message and exit.

-v or --version
    Print Version information and exit.

-V or --verbose
    Print verbose messages to stdout (when running in foreground) or to syslog otherwise. This options is mainly used for debugging purposes.

EXAMPLES
To test a setup start cpuplugd in foreground mode using verbose output:
    cpuplugd -V -f -c /etc/cpuplugd.conf
For daemon mode, start cpuplugd from an init script as follows:
    cpuplugd -c /etc/cpuplugd.conf

SEE ALSO
cpuplugd.conf(5)